<div class="module reply-post">

    <div class="module-body centered">
        <ng-container [ngSwitch]="view">

            <!-- Thread is open and unrestricted -->
            <ng-container *ngSwitchCase="'OPEN_UNRESTRICTED'">
                <p>
                    El autor de este hilo aún está recibiendo participantes.
                    <br>
                    ¡Escribe una continuación a su historia!
                </p>
                <ng-container *ngTemplateOutlet="editor"></ng-container>
            </ng-container>

            <!-- Thread is open and restricted, but I'm a participant -->
            <ng-container *ngSwitchCase="'OPEN_RESTRICTED_MEMBER'">
                <p>
                    Tienes permiso para escribir en este hilo
                    <br>
                    ¡Escribe una continuación a su historia!
                </p>
                <ng-container *ngTemplateOutlet="editor"></ng-container>
            </ng-container>

            <!-- Thread is open and restricted -->
            <ng-container *ngSwitchCase="'OPEN_RESTRICTED_GUEST'">
                <div class="display-icon">
                    <i class="las la-lock"></i>
                </div>

                <p>
                    Este hilo no admite nuevos participantes.
                </p>

                <!-- <ng-container *ngTemplateOutlet="actions"></ng-container> -->
            </ng-container>

            <!-- Thread is closed -->
            <ng-container *ngSwitchCase="'CLOSED'">
                <div class="display-icon">
                    <i class="las la-frown"></i>
                </div>

                <p>
                    Lo sentimos, este hilo fue cerrado y ya no recibe nuevas respuestas.
                </p>

                <ng-container *ngTemplateOutlet="actions"></ng-container>
            </ng-container>

            <!-- User is not logged in -->
            <ng-container *ngSwitchCase="'APP_GUEST'">
                <div class="display-icon">
                    <i class="las la-lock"></i>
                </div>

                <p>
                    Parece que no has iniciado sesión. Accede a Munrol para responder.
                </p>

                <div class="action-footer">
                    <a routerLink="/auth/login" mr-button class="primary reverse" type="submit">Login</a>
                    &nbsp;
                    <a routerLink="/auth/signup" mr-button class="primary" type="submit">Sign Up</a>
                </div>
            </ng-container>

        </ng-container>
    </div>

</div>

<!-- Editor Area -->
<ng-template #editor>
    <form [formGroup]="form">
        <div class="editor-area">
            <mr-editor #reply [toolbarButtons]="toolbar.FULL"
            formControlName="body" [minHeight]="150" [enableFiles]="linkedFiles.length > 0"></mr-editor>
        </div>

        <button mr-button
        [loading]="loading$ | async"
        [class.disabled]="form.invalid"
        class="primary" type="submit" (click)="send()">Enviar</button>

    </form>
</ng-template>

<!-- Actions Area -->
<ng-template #actions>
    <div class="action-footer">
        <button mr-button class="primary" type="submit">Seguir</button>
    </div>
</ng-template>
